Summary: Small bourne shell from Berkeley
Name: ash
Version: 0.2
Release: 9
Copyright: BSD
Group: Shells
Source: sunsite.unc.edu:/pub/Linux/system/Shells/ash-linux-0.2.tar.gz
Patch: ftp.redhat.com:/pub/ash-0.2-make.patch
Patch1: ash-0.2-make.patch2
BuildRoot: /tmp/ash

%description
ash is a bourne shell clone from Berkeley.  It supports all of the standard
Bourne shell commands and has the advantage of supporting them while 
remaining considerably smaller than bash. 

%changelog

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>

Fixed preinstall script to >> /etc/shells for bsh.

%changelog

* Thu Oct 23 1997 Karl O. Pinc <kop@meme.com>

Added ash-0.2-make.patch2 and spec file changes so that:
 RPM_OPT_FLAGS is used to compile and link
 the stripped executable really is installed
 buildroot is supported for root user

%prep
%setup -n ash-linux-0.2
%patch -p1
%patch1 -p1

%build
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"
strip sh

%install
install -d "${RPM_BUILD_ROOT}/bin/"
install -d "${RPM_BUILD_ROOT}/usr/man/man1"
make install ROOT="${RPM_BUILD_ROOT}"
install -d "${RPM_BUILD_ROOT}/usr/man/man1"
install -m 644 sh.1 "${RPM_BUILD_ROOT}/usr/man/man1/ash.1"
ln -sf ash.1 "${RPM_BUILD_ROOT}/usr/man/man1/bsh.1"
ln -sf ash "${RPM_BUILD_ROOT}/bin/bsh"

%clean
rm -rf "${RPM_BUILD_ROOT}"

%post
if [ ! -f "${RPM_BUILD_ROOT}/etc/shells" ]; then
	echo "${RPM_BUILD_ROOT}/bin/ash" > "${RPM_BUILD_ROOT}/etc/shells"
	echo "${RPM_BUILD_ROOT}/bin/bsh" >> "${RPM_BUILD_ROOT}/etc/shells"
else
	if ! grep "^${RPM_BUILD_ROOT}/bin/ash\$" \
                  "${RPM_BUILD_ROOT}/etc/shells" > /dev/null; then
		echo "${RPM_BUILD_ROOT}/bin/ash" \
                      >> "${RPM_BUILD_ROOT}/etc/shells"
	fi
	if ! grep "^${RPM_BUILD_ROOT}/bin/bsh\$" \
                  "${RPM_BUILD_ROOT}/etc/shells" > /dev/null; then
		echo "${RPM_BUILD_ROOT}/bin/bsh" \
                      >> "${RPM_BUILD_ROOT}/etc/shells"
	fi
fi

%postun

if [ "$0" = 0 ]; then
	grep -v "^/${RPM_BUILD_ROOT}bin/ash" < "${RPM_BUILD_ROOT}/etc/shells" \
        | grep -v "^${RPM_BUILD_ROOT}/bin/bsh" \
               > "${RPM_BUILD_ROOT}/etc/shells".new
	mv "${RPM_BUILD_ROOT}/etc/shells".new "${RPM_BUILD_ROOT}/etc/shells"
fi

%verifyscript

for n in ash bsh; do
    echo -n "Looking for $n in ${RPM_BUILD_ROOT}/etc/shells... "
    if ! grep "^${RPM_BUILD_ROOT}/bin/${n}\$" "${RPM_BUILD_ROOT}/etc/shells" \
               > /dev/null; then
	echo "missing"
	echo "${n} missing from "${RPM_BUILD_ROOT}/etc/shells"" >&2
    else
	echo "found"
    fi
done

%files
/bin/ash
/bin/bsh
/usr/man/man1/ash.1
/usr/man/man1/bsh.1
